package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description 专辑新增或删除曲目
 *
 * @author liujunchi
 * @date 2022-04-14
 */
@ApiModel("专辑新增或删除曲目")
public class MusicAlbumSheetDto {

    @ApiModelProperty("专辑id")
    private Long albumId;

    @ApiModelProperty("曲目id，多个逗号隔开 （删除专辑内的曲目使用）")
    private String musicSheetIds;

    @ApiModelProperty("曲目id，多个逗号隔开 （添加专辑内的曲目使用）")
    private List<AlbumMusic> albumMusicList;


    public Long getAlbumId() {
        return albumId;
    }

    public void setAlbumId(Long albumId) {
        this.albumId = albumId;
    }

    public String getMusicSheetIds() {
        return musicSheetIds;
    }

    public void setMusicSheetIds(String musicSheetIds) {
        this.musicSheetIds = musicSheetIds;
    }

    public List<AlbumMusic> getAlbumMusicList() {
        return albumMusicList;
    }

    public void setAlbumMusicList(List<AlbumMusic> albumMusicList) {
        this.albumMusicList = albumMusicList;
    }

    public static class AlbumMusic{
        @ApiModelProperty("曲目id")
        private Long musicSheetId;

        @ApiModelProperty("排序")
        private Integer sortNumber;

        public Long getMusicSheetId() {
            return musicSheetId;
        }

        public void setMusicSheetId(Long musicSheetId) {
            this.musicSheetId = musicSheetId;
        }

        public Integer getSortNumber() {
            return sortNumber;
        }

        public void setSortNumber(Integer sortNumber) {
            this.sortNumber = sortNumber;
        }
    }
}
